---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
name: jp-desktop-nvidia
# base-image: ghcr.io/ublue-os/kinoite-nvidia
base-image: ghcr.io/ublue-os/bazzite-nvidia
image-version: stable
description: The image of Wunker OS for JP's desktop gaming.
blue-build-tag: none
nushell-version: none
# stages:
#   - from-file: common/helix.yml
  # - name: cosmic-comp
  #   from: rust
  #   modules:
  #     - type: cosmic
  #       source: local
  #       component: cosmic-comp
  #       # ref: bebd7c5c40c038470d2eef0501a3efb34f2df966 # Known bug commit
  #       # ref: db13eea91c15ca57d76454432d1fb9c09c51ba8c # Last known working commit
  #       ref: 605bb63a4de640b77f6d3017238ece48cb286933 # supposed fix
modules:
  # - from-file: common/jp-desktop.yml
  - from-file: common/jp-desktop-bootc.yml
  # - from-file: common/cosmic.yml
  # - from-file: common/helix.yml
  # - type: copy
  #   from: cosmic-comp
  #   src: /out/cosmic-comp
  #   dest: /usr/bin/cosmic-comp
  - from-file: common/post-build.yml
